ZARAFA-SET-OOF(1)

NAME
zarafa-set-oof - Control a user's out of office settings.

SYNOPSIS

zarafa-set-oof USERNAME MODE [SUBJECT] [MESSAGE FILE]

DESCRIPTION

This tool can be used to change a user's out of office settings. The Zarafa server must be running forzarafa-set-oof to work.

You must choose a state, enabled, disabled or don't change, when using this script.

ACTIONS

zarafa-set-oof needs atleast a state command. Valid states are:

0   Disable the user's out of office reply.

1   Enable the user's out of office reply.

-   Don't enable or disable the user's out of office reply. Just update the subject and message, unless the user's out of office reply is enabled. This is useful to update all out of office settings without enabling them and without changing the messages of enabled replies because that might overwrite some useful information that a user has set.

OPTIONS

The options used by actions are as follows:

SUBJECT
    Set a new subject for the oof message. This subject will be placed between square brackets when the message is sent.

MESSAGE FILE /path/to/message
    The contents of this file will be used as plain text body in the oof email.

AUTHOR

Written by Zarafa.